commit 66a452cb6128ddc0805eac37230afd77d6fb168c
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 23 14:18:54 2025 +0000

    Local-scan: fix API
    
    Broken-by: 7b4e2a15a529

diff --git a/src/src/functions.h b/src/src/functions.h
index 937259334..76bc24c1b 100644
--- a/src/src/functions.h
+++ b/src/src/functions.h
@@ -238,19 +238,6 @@ extern int     exp_bool(address_item *,
 extern BOOL    expand_check_condition(const uschar *, const uschar *, const uschar *);
 extern uschar *expand_file_big_buffer(const uschar *);
 
-extern const uschar *expand_string_2(const uschar *, BOOL *);
-
-static inline uschar * expand_nc_string(uschar * s)
-{ return US expand_string_2(s, NULL); }
-static inline const uschar * expand_c_string(const uschar * s)
-{ return expand_string_2(s, NULL); }
-
-/* A macro that picks which function to use depending on the type of the arg */
-#define expand_string(X) _Generic((X),     \
-	      uschar *:		expand_nc_string, \
-	      const uschar *:	expand_c_string   \
-	      )(X)
-
 extern BOOL   expand_string_nonempty(const uschar *);
 extern uschar *expand_getkeyed(const uschar *, const uschar *);
 
diff --git a/src/src/local_scan.h b/src/src/local_scan.h
index 915b12007..5aff615e7 100644
--- a/src/src/local_scan.h
+++ b/src/src/local_scan.h
@@ -193,7 +193,19 @@ extern BOOL    smtp_input;             /* TRUE if input is via SMTP */
 
 extern int     child_close(pid_t, int);
 extern void    debug_printf(const char *, ...) PRINTF_FUNCTION(1,2);
-extern uschar *expand_string(uschar *);
+
+extern const uschar * expand_string_2(const uschar *, BOOL *);
+static inline uschar * expand_nc_string(uschar * s)
+{ return US expand_string_2(s, NULL); }
+static inline const uschar * expand_c_string(const uschar * s)
+{ return expand_string_2(s, NULL); }
+
+/* A macro that picks which function to use depending on the type of the arg */
+#define expand_string(X) _Generic((X),     \
+	      uschar *:		expand_nc_string, \
+	      const uschar *:	expand_c_string   \
+	      )(X)
+
 extern void    header_add(int, const char *, ...);
 extern void    header_add_at_position(BOOL, uschar *, BOOL, int, const char *, ...);
 extern void    header_remove(int, const uschar *);
diff --git a/src/src/smtp_in.c b/src/src/smtp_in.c
index e6c9dbacc..674bdd785 100644
--- a/src/src/smtp_in.c
+++ b/src/src/smtp_in.c
@@ -1798,6 +1798,9 @@ deliver_host = deliver_host_address = NULL;	/* Can be set by ACL */
 #ifdef SUPPORT_SRS
  srs_recipient = NULL;
 #endif
+#ifdef HAVE_LOCAL_SCAN
+local_scan_data = NULL;
+#endif
 #ifdef WITH_CONTENT_SCAN
  regex_vars_clear();
  malware_name = NULL;

